%global commit cfe76281efc29890548cf9eedd42ad51c7a1faf0
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-tmux
Version:        3.0.1
Release:        0.2%{?dist}
Summary:        Vim plugin for tmux.conf

License:        Public Domain and MIT
URL:            https://github.com/tmux-plugins/vim-tmux
Source0:        %{url}/archive/%{commit}/%{name}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-tmux.metainfo.xml

# https://github.com/tmux-plugins/vim-tmux/pull/15
# disabled/not applied
Source2:        vim-tmux-PR15.patch

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Vim plugin for .tmux.conf. When you edit .tmux.conf you get:
* proper syntax highlighting
* commentstring - so that plugins like vim-commentary work as intended
* K - jumps to the *exact* place in man tmux where the word under cursor is explained (a helluva time saver). This should work correctly on practically anything in .tmux.conf.
* :make - invokes tmux source .tmux.conf and places all the errors (if any) in quicklist
* g! - executes lines as tmux commands. Works on visual selection or as a motion. g!! executes just the current line.


%prep
%autosetup -p1 -n %{name}

%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,compiler,doc,ftdetect,ftplugin,indent,syntax} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
#%%license LICENSE
%doc %{vimfiles_root}/doc/tmux.txt
%{vimfiles_root}/autoload/tmux.vim
%{vimfiles_root}/compiler/tmux.vim
%{vimfiles_root}/ftdetect/tmux.vim
%{vimfiles_root}/ftplugin/tmux.vim
%{vimfiles_root}/indent/tmux.vim
%{vimfiles_root}/syntax/tmux.vim
%{_metainfodir}/vim-tmux.metainfo.xml


%changelog
* Sun Jun 02 2024 Patrick Laimbock <patrick@laimbock.com> - 3.0.1-0.2
- rebuild for F40

* Fri Apr 21 2023 Patrick Laimbock <patrick@laimbock.com> - 3.0.1-0.1
- initial package
- based on git commit cfe76281efc29890548cf9eedd42ad51c7a1faf0

